# cLinkDelayLookahead Class Reference
[Parallel simulation support]

Lookahead calculation based on inter-partition link delays only. More...

`#include <clinkdelaylookahead.h>`

Inheritance diagram for cLinkDelayLookahead:

List of all members.

## Public Member Functions

| cLinkDelayLookahead ()
virtual | ~cLinkDelayLookahead ()
virtual void | startRun ()
virtual void | endRun ()
virtual double | getCurrentLookahead (cMessage *msg, int procId, void *data)
virtual double | getCurrentLookahead (int procId)

## Detailed Description

Lookahead calculation based on inter-partition link delays only.

## Constructor & Destructor Documentation

cLinkDelayLookahead::cLinkDelayLookahead | ( |  | ) |

| Constructor.

virtual cLinkDelayLookahead::~cLinkDelayLookahead | ( |  | ) | `[virtual]`

| Destructor.

## Member Function Documentation

virtual void cLinkDelayLookahead::endRun | ( |  | ) | `[virtual]`

| Called at end of simulation run. Implements cNMPLookahead.

virtual double cLinkDelayLookahead::getCurrentLookahead | ( | int | procId | ) | `[virtual]`

| Returns minimum of link delays toward the given partition. Implements cNMPLookahead.

virtual double cLinkDelayLookahead::getCurrentLookahead | ( | cMessage * | msg,
|  | int | procId,
|  | void * | data
| ) | `[virtual]`

| Updates lookahead information, based on the delay of the link where message is sent out. Returns EOT. Implements cNMPLookahead.

virtual void cLinkDelayLookahead::startRun | ( |  | ) | `[virtual]`

| Sets up algorithm for new simulation run. Implements cNMPLookahead.

The documentation for this class was generated from the following file:

- clinkdelaylookahead.h